Subject: Re: [lamps] New Version Notification for draft-ietf-lamps-crmf-update-algs-03.txt

From: Russ Housley <[email-masked]>
Date: Fri, 29 Jan 2021 12:27:25 -0500

This revision addresses several recent comments:

Signature Key POP:

   algId identifies the algorithm used to compute the MAC value.  All
   implementations MUST support id-PasswordBasedMAC as presented in
   Section 4.4 of this document.  Implementations MAY also support
   PBMAC1 presented in Section 7.1 of [RFC8018].

Iteration Count:

   There is a trade off between protection of the password from
   attacks and the time spent by the server processing the
   iterations.  As part of that tradeoff, an iteration count smaller
   than 10,000 can be used when automated generation produces
   shared secrets with high entropy.

GMAC MAC Length:

   The GMACParameters length parameter field tells the size of the
   message authentication code in octets.  GMAC supports lengths
   between 12 and 16 octets, inclusive.  However, for use with CRMF,
   the maximum length of 16 octets MUST be used.

References:

   Point to draft-ietf-lamps-cms-aes-gmac-alg.

   Used a shorter anchor name for NISTSP800-63B.

With these changes, I believe that all open comments have been addressed.

Russ

> On Jan 29, 2021, at 12:16 PM, [email-masked] wrote:
> 
> 
> A new version of I-D, draft-ietf-lamps-crmf-update-algs-03.txt
> has been successfully submitted by Russ Housley and posted to the
> IETF repository.
> 
> Name:		draft-ietf-lamps-crmf-update-algs
> Revision:	03
> Title:		Algorithm Requirements Update to the Internet X.509 Public Key Infrastructure Certificate Request Message Format (CRMF)
> Document date:	2021-01-29
> Group:		lamps
> Pages:		8
> URL:            https://www.ietf.org/archive/id/draft-ietf-lamps-crmf-update-algs-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-lamps-crmf-update-algs/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-lamps-crmf-update-algs
> Htmlized:       https://tools.ietf.org/html/draft-ietf-lamps-crmf-update-algs-03
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-crmf-update-algs-03
> 
> Abstract:
>   This document updates the cryptographic algorithm requirements for
>   the Password-Based Message Authentication Code in the Internet X.509
>   Public Key Infrastructure Certificate Request Message Format (CRMF)
>   specified in RFC 4211.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
>